org.optaplanner.core.impl.solver.termination

## Class AbstractCompositeTermination

- java.lang.Object
- - org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter<Solution_>
  - - org.optaplanner.core.impl.phase.event.PhaseLifecycleListenerAdapter
    - - org.optaplanner.core.impl.solver.termination.AbstractTermination
      - - org.optaplanner.core.impl.solver.termination.AbstractCompositeTermination

- All Implemented Interfaces:
    EventListener, PhaseLifecycleListener, SolverLifecycleListener, Termination
  Direct Known Subclasses:
    AndCompositeTermination, OrCompositeTermination

      public abstract class AbstractCompositeTermination
      extends AbstractTermination

  Abstract superclass that combines multiple `Termination`s.
  See Also:
    `AndCompositeTermination`, `OrCompositeTermination`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Termination>` | `terminationList`

    - ### Fields inherited from class org.optaplanner.core.impl.solver.termination.AbstractTermination

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractCompositeTermination(List<Termination> terminationList)`
    `` | `AbstractCompositeTermination(Termination... terminations)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<Termination>` | `createChildThreadTerminationList(DefaultSolverScope solverScope, ChildThreadType childThreadType)`
    `void` | `phaseEnded(AbstractPhaseScope phaseScope)`
    `void` | `phaseStarted(AbstractPhaseScope phaseScope)`
    `void` | `solvingEnded(DefaultSolverScope solverScope)`
    `void` | `solvingStarted(DefaultSolverScope solverScope)`
    `void` | `stepEnded(AbstractStepScope stepScope)`
    `void` | `stepStarted(AbstractStepScope stepScope)`

    - ### Methods inherited from class org.optaplanner.core.impl.solver.termination.AbstractTermination

      `createChildThreadTermination`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.termination.Termination

      `calculatePhaseTimeGradient, calculateSolverTimeGradient, isPhaseTerminated, isSolverTerminated`

- - ### Field Detail

    - #### terminationList

          protected final List<Termination> terminationList

  - ### Constructor Detail

    - #### AbstractCompositeTermination

          protected AbstractCompositeTermination(List<Termination> terminationList)

    - #### AbstractCompositeTermination

          public AbstractCompositeTermination(Termination... terminations)

  - ### Method Detail

    - #### solvingStarted

          public void solvingStarted(DefaultSolverScope solverScope)

      Specified by:
        `solvingStarted` in interface `SolverLifecycleListener`
      Overrides:
        `solvingStarted` in class `SolverLifecycleListenerAdapter`

    - #### phaseStarted

          public void phaseStarted(AbstractPhaseScope phaseScope)

      Specified by:
        `phaseStarted` in interface `PhaseLifecycleListener`
      Overrides:
        `phaseStarted` in class `PhaseLifecycleListenerAdapter`

    - #### stepStarted

          public void stepStarted(AbstractStepScope stepScope)

      Specified by:
        `stepStarted` in interface `PhaseLifecycleListener`
      Overrides:
        `stepStarted` in class `PhaseLifecycleListenerAdapter`

    - #### stepEnded

          public void stepEnded(AbstractStepScope stepScope)

      Specified by:
        `stepEnded` in interface `PhaseLifecycleListener`
      Overrides:
        `stepEnded` in class `PhaseLifecycleListenerAdapter`

    - #### phaseEnded

          public void phaseEnded(AbstractPhaseScope phaseScope)

      Specified by:
        `phaseEnded` in interface `PhaseLifecycleListener`
      Overrides:
        `phaseEnded` in class `PhaseLifecycleListenerAdapter`

    - #### solvingEnded

          public void solvingEnded(DefaultSolverScope solverScope)

      Specified by:
        `solvingEnded` in interface `SolverLifecycleListener`
      Overrides:
        `solvingEnded` in class `SolverLifecycleListenerAdapter`

    - #### createChildThreadTerminationList

          protected List<Termination> createChildThreadTerminationList(DefaultSolverScope solverScope,
                                                                       ChildThreadType childThreadType)

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.